//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Tue Jan 12 10:05:56 PST 1999
// Last Modified: Tue Jan 12 10:06:01 PST 1999
// Filename:      ...sig/maint/code/control/KeyboardInput/KeyboardInput.h
// Web Address:   http://www-ccrma.stanford.edu/~craig/improv/include/KeyboardInput.h
// Syntax:        C++ 
//
// Description:   Controls the behaviour of the computer keyboard so
//                that individual keys from the keyboard can be read
//                immediately after they are pressed rather than when
//                the enter key is pressed.  
//


#ifndef _KEYBOARDINPUT_H_INCLUDED
#define _KEYBOARDINPUT_H_INCLUDED


#ifdef VISUAL
   #define KEYBOARDINPUT  KeyboardInput_visual
   #include "KeyboardInput_visual.h"
#elif defined(LINUX)
   #define KEYBOARDINPUT  KeyboardInput_unix
   #include "KeyboardInput_unix.h"
#else
   #define KEYBOARDINPUT  KeyboardInput_unix
   #include "KeyboardInput_unix.h"
#endif


class KeyboardInput : protected KEYBOARDINPUT {
   public:
      KeyboardInput(void) : KEYBOARDINPUT() { };
     ~KeyboardInput() { }

      int    hit(void)    { return KEYBOARDINPUT::hit(); }
      int    getch(void)  { return KEYBOARDINPUT::getch(); }
      int    newset(void) { KEYBOARDINPUT::newset(); }
      int    oldset(void) { KEYBOARDINPUT::oldset(); }
      void   reset(void)  { KEYBOARDINPUT::reset(); }
};


#endif  // _KEYBOARDINPUT_H_INCLUDED



// md5sum:        6ca71514a89016f76b1493addd0eed1e  KeyboardInput.h
