//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Tue Nov 10 15:25:18 PST 1998
// Last Modified: Tue Nov 10 15:25:22 PST 1998
// Filename:      .../sig/maint/code/control/Event/MultiStageEvent.cpp
// Web Address:   http://www-ccrma.stanford.edu/~craig/improv/src/MultiStageEvent.cpp
// Syntax:        C++ 
//
// Description:   Used in the storage of the EventBuffer class.
//


#include "MultiStageEvent.h"


//////////////////////////////
//
// MultiStageEvent::MultiStageEvent
//

MultiStageEvent::MultiStageEvent(void) {
   setType(EVENT_MULTISTAGE);
}



//////////////////////////////
//
// MultiStageEvent::~MultiStageEvent
//

MultiStageEvent::~MultiStageEvent() {
   // does nothing
}



//////////////////////////////
//
// MultiStageEvent::action
//

void MultiStageEvent::action(EventBuffer& midiOutput) {
/*   switch (getType() >> 3) {
//      case EVENT_MULTISTAGE_FUNCTION:
//         ((NoteEvent*)(this))->action(midiOutput);
//         break;
      default:
         break;
   }
*/
}



//////////////////////////////
//
// MultiStageEvent::getDur -- gets the duration of the event
//

int MultiStageEvent::getDur(void) const {
   return getTime2();
}



//////////////////////////////
//
// MultiStageEvent::getDuration -- gets the duration of the event
//

int MultiStageEvent::getDuration(void) const {
   return getTime2();
}



//////////////////////////////
//
// MultiStageEvent::off()
//

void MultiStageEvent::off(EventBuffer& midiOutput) {
//   switch (getType() >> 3) {
//      case EVENT_TWOSTAGE_NOTE:
//         ((NoteEvent*)(this))->off(EventBuffer& midiOutput
//         break;
//      default:
          setStatus(EVENT_STATUS_OFF);
//   }
}



//////////////////////////////
//
// MultiStageEvent::print
//

void MultiStageEvent::print(void) const { }



//////////////////////////////
//
// MultiStageEvent::setDur -- set the duration of the event
//

void MultiStageEvent::setDur(int aDuration) {
   setTime2(aDuration);
}



//////////////////////////////
//
// MultiStageEvent::setDuration -- set the duration of the event
//

void MultiStageEvent::setDuration(int aDuration) {
   setTime2(aDuration);
}



//////////////////////////////
//
// MultiStageEvent::setOnDur -- set the on time and the duration
//

void MultiStageEvent::setOnDur(int aTime, int aDuration) {
   setOnTime(aTime);
   setDur(aDuration);
}



//////////////////////////////
//
// MultiStageEvent:setOnTime --
//

void MultiStageEvent::setOnTime(int aTime) {
   setTime1(aTime);
}



// md5sum:        d07a54bc905c6eb93214225b8326d196  MultiStageEvent.cpp
